cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/organization/whatsapp/business-profiles/{profileId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/organization/whatsapp/business-profiles/{profileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/organization/whatsapp/business-profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wabp_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"organizationId": "<string>",
"metaWabaId": "<string>",
"metaBusinessId": "<string>",
"businessName": "Acme Corp",
"tokenExpiresAt": "2023-11-07T05:31:56Z",
"onboardingCompletedAt": "2023-11-07T05:31:56Z",
"reviewDecidedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"phoneNumbers": [
{
"id": "<string>",
"displayPhoneNumber": "+15551234567",
"metaPhoneNumberId": "<string>",
"verified": true,
"qualityRating": "GREEN"
}
],
"isTestProfile": true
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Business Profiles
Get business profile
Get a specific WhatsApp Business Profile with its phone numbers
GET
/
v1
/
organization
/
whatsapp
/
business-profiles
/
{profileId}
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Path Parameters
WhatsApp Business Profile ID
Pattern:
^wabp_[a-zA-Z0-9]+$Example:
"wabp_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Response
Business profile details
WhatsApp Business Profile ID
Pattern:
^wabp_[a-zA-Z0-9]+$Example:
"wabp_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Meta's WhatsApp Business Account ID
Meta's Business Portfolio ID
Business name from Meta
Example:
"Acme Corp"
When the access token expires (null = never)
When onboarding was completed
Latest WABA policy review outcome from Meta's account_review_update webhook
Available options:
APPROVED, REJECTED, PENDING, DEFERRED When Meta last decided the WABA review
Show child attributes
Show child attributes
Whether this is a test profile (for test mode separation)
⌘I